FLANG

Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
fir::detail::LogicalTypeStorage Struct Reference

`LOGICAL` storage More...

Inheritance diagram for fir::detail::LogicalTypeStorage:

## Public Types
using | KeyTy = KindTy

## Public Member Functions
bool | operator== (const KeyTy &key) const
KindTy | getFKind () const

## Static Public Member Functions
static unsigned | hashKey (const KeyTy &key)
static LogicalTypeStorage * | construct (mlir::TypeStorageAllocator &allocator, KindTy kind)

## Protected Attributes
KindTy | kind

## Detailed Description

`LOGICAL` storage

The documentation for this struct was generated from the following file:

- lib/Optimizer/Dialect/FIRType.cpp